# CSC 111, Final Exam, Part 4
# Author: Sara Mathieson
# A graphics program to create a bouncing ball.

from graphics import *

class BouncingBall:

    def __init__(self, x, y, speed):
        """Create a circular ball at the given (x,y) position."""
        self.circle = Circle(Point(x,y),40)
        self.y = y
        self.speed = speed

    def draw(self, window):
        """Draw the circular ball on the window."""
        self.circle.draw(window)

    def move(self, height):
        """If the ball is at the top or bottom, switch directions."""

        if self.y < 20 or self.y > height-20:
            self.speed = -self.speed

        self.circle.move(0,self.speed)
        self.y += self.speed # update position!



def main():
    """Test our bouncing ball in main."""

    width = 600
    height = 600
    win = GraphWin("Bouncing Ball", width, height)

    # use the constructor to create a ball at the top of the window
    ball = BouncingBall(width/2, 20, 5)
    ball.draw(win)
    while True: # not recommended but just to simplify the code
        ball.move(height)

main()
